<a href="https://ugg.readthedocs.io/"><img src="https://readthedocs.org/projects/ugg/badge/?version=latest"></a>

# unfoldingWord Greek Grammar

This is the repository for a reference grammar for biblical Greek based on the [parsing codes](https://git.door43.org/Door43/en_ugg/src/master/parsingscheme_updated.pdf) that show up in the [Bunning Heuristic Prototype](https://git.door43.org/unfoldingWord/BHP) of the UGNT.

## Downloads

Coming soon...

## Status

As of 3/18:

| Complete | In Progress | Edit |
|:--------:|:-----------:|:----:|
|    33    |      26     |   5  |

## Contributing

We welcome contributions! Please make sure you understand the goal of the project by reading the [UGG Introduction](https://ugg.readthedocs.io/en/latest/front.html). Then, follow the links below to get started.

Volunteers are needed to:

* Create glossary and article entries for the grammar
* Proofread the grammar to ensure that it is properly formatted and tagged
according to digital standards to be determined (e.g., OSIS, TEI XML, etc.)
* Work with the Project Coordinator to create content using a comparison with available Greek grammars.
* Requirements for contributors to UGG:
    * Agreement with our Statement of Faith: https://unfoldingword.org/faith/
    * Agreement with Translation Guidelines: https://unfoldingword.org/guidelines/
    * Agreement that your work will be released under a [CC BY-SA] (https://creativecommons.org/licenses/by-sa/4.0/). See
https://unfoldingword.org/license/
    * Must have at least two years of NT Greek
* Preferences (though not required):
    * Attendance at workshop for training (5 days/1 week) how to proofread and edit
UGG
    * Access to biblical software highly recommended (preferably BibleWorks, Logos or Accordance)
    * Access to several modern grammars as possible

### Reporting Issues

If you've notice a problem that needs address please create an [issue](https://git.door43.org/Door43/en_ugg/issues) with a description of the problem.

### Fixing Issues

If you would like to fix or enhance the grammar, you may use the [suggest an edit process](http://help.door43.org/en/knowledgebase/15-door43-content-service/docs/39-suggest-an-edit-on-dcs) to suggest changes.

### Regular Contributors

#### Branching Process

If you are a regular contributor, we use the [protected branch workflow](http://help.door43.org/en/knowledgebase/15-door43-content-service/docs/46-protected-branch-workflow) to make changes.

#### Milestones

We use [milestones](https://git.door43.org/Door43/en_ugg/milestones) to track the work we'd like to complete before a release.

#### Issues

Please create an [issue](https://git.door43.org/Door43/en_ugg/issues) for tasks that you are working on. Make sure that you:

* Assign yourself to the issue
* Add the issue to a milestone
* Add the blue "In Progress" label to the issue once you begin work on it.

Closing Issues: After your Pull Request for an issue has been reviewed and merged into the master repository, you can mark your issue closed and remove the "In Progress" label from the issue.

## Format

The UGG is written in [reStructuredText](http://www.sphinx-doc.org/en/master/rest.html), processed by [Sphinx](http://www.sphinx-doc.org/en/master/index.html), and hosted online by [Read the Docs](https://readthedocs.org/).

See the [reStructuredText Primer](http://www.sphinx-doc.org/en/master/rest.html) and the [Docutils reStructuredText Directives](http://docutils.sourceforge.net/docs/ref/rst/directives.html) documentation to learn how to use the syntax.

## Guidelines

Please refer to the [Grammar Guidelines](http://ug-info.readthedocs.io/en/latest/). Take note of the following as well:

* Use simple English as much as possible. Remember that a key goal of the project is to make entries translatable.
* Summary entries should consist of one to two sentences maximum.
* Articles should include basic information that would be included in a teaching grammar along with two to three good examples.
* Article length should be 250-500 words.
* Generally, you may only review and merge content from another contributor, not your own content.


## Roadmap

### First stage

* Start fresh and provide descriptions of grammatical concepts that show up in [Bunning Heuristic Prototype](https://git.door43.org/unfoldingWord/BHP) morphological data
* Reference Grammar with examples as in teaching grammars
* 1-2 sentence that is pop-upable (with “view more”)
* ~1 page for each entry

#### Phase 1 

* Create glossary entries for each grammatical concept specified

#### Phase 2

* Create article entries for each grammatical concept specified

### Second stage

* Tag the UGNT with specific grammatical information (e.g., possessive genitive)

### Third stage

* Write syntax articles
* Tag text with syntax information
